net.sf.statcvs.pages.xml

## Class RevisedFilesXml

- java.lang.Object
- - net.sf.statcvs.pages.xml.RevisedFilesXml

    public class RevisedFilesXml
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RevisedFilesXml(ReportConfig config)` Creates a new LogPageMaker.

### Method Summary

Methods
`static java.lang.String` `getAnchor(SymbolicName tag)`
`static java.lang.String` `getURL(java.util.Date date)`
`org.jdom.Element` `toFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RevisedFilesXml

    public RevisedFilesXml(ReportConfig config)

Creates a new LogPageMaker.

Parameters:
  `year` - The log page's year
  `month` - The log page's month (0 for January)
  `commits` - A list of commits; those not in the right month will be ignored
  `outputFormat` -

### Method Detail

#### getAnchor

    public static java.lang.String getAnchor(SymbolicName tag)

#### getURL

    public static java.lang.String getURL(java.util.Date date)

#### toFile

    public org.jdom.Element toFile()
                            throws java.util.NoSuchElementException

Throws:
  `java.util.NoSuchElementException`